# vim:et:ts=3:sw=3

import RandomFolder


def initialize(ctx):
   ctx.registerClass(
         RandomFolder.RandomFolder,
         constructors = (RandomFolder.manage_addRandomFolderForm,
            RandomFolder.manage_addRandomFolder),
         icon = 'randomfoldericon.gif',
         )
   if getattr(RandomFolder, 'BTreeRandomFolder', None) is not None:
      ctx.registerClass(
            RandomFolder.BTreeRandomFolder,
            constructors = (RandomFolder.manage_addBTreeRandomFolderForm,
               RandomFolder.manage_addBTreeRandomFolder),
            icon = 'randomfoldericon.gif',
            )


